<template>
    <tr class="CustomerListItem">
        <td class="id">{{ customer.id }}</td>
        <td>{{ customer.firstname }}</td>
        <td>{{ customer.lastname }}</td>
        <td class="text-right">
            <button class="mini ui button primary" v-on:click="$emit('show', customer.id)">Show customer</button>
        </td>
    </tr>
</template>

<script>
    export default {
        name: "CustomerListItem",
        props: {
            customer: {
                type: Object,
                required: true
            }
        }
    }
</script>

<style scoped>
    .id {
        width: 5%;
    }
</style>